--  小K的AI服务接口 --
-- 1、即时库存查询
DELETE FROM t_open_apiservice WHERE FID = 1231847674324575232;
DELETE FROM t_open_apiservice_l WHERE FPKID = '1V=NEXY/XZ3K';
DELETE FROM t_open_apiservice_l WHERE FPKID = '1V=NEXY/XZ3L';
DELETE FROM t_open_apiservice_aicmd WHERE FID = 1231847674324575232;
DELETE FROM t_open_apiservice_aicmd_l WHERE FPKID = '1V=NEXY/XZ3M';
DELETE FROM t_open_apiservice_aicmd_l WHERE FPKID = '1V=NEXY/XZ3N';

INSERT INTO t_open_apiservice
(fid, fnumber, fcreatorid, fcreatetime, fmodifierid, fmodifytime, fenable, fdisablerid, fdisabledate, fmessagetype, fbizobject, fappid, fstatus, furlformat, furl, fhttpmethod, fcontenttype, freqtype, freptype, fapiservicetype, foperation, fcustommethod, fmasterid, fplugin, fallowguest, fisksql, fselectparam, ffilterparam, fmustparam)
VALUES(1231847674324575232, 'mobim_invquery_query', 1, {ts'2018-08-08 18:08:08'}, 1, {ts'2018-08-08 18:08:08'}, '1', NULL, NULL, NULL, ' ', '1FCCL7T+CPFQ', 'C', '/ai/do', ' ', '0', '0', 0, 0, '1', ' ', ' ', 1231847674324575232, '[{"FPK":"","Type":0,"Description":"该插件实现根据参数拼接url并将其放入封装好的对象中的插件","RowKey":0,"ClassName":"kd.scmc.mobim.service.webservice.JITInventoryQueryApiPlugin","DisplayName":"即时库存查询API插件","Enabled":true,"BizAppId":"","Inherit":false}]', '0', '0', NULL, NULL, NULL);

INSERT INTO t_open_apiservice_l
(fpkid, fid, flocaleid, fdiscription, fname)
VALUES('1V=NEXY/XZ3K', 1231847674324575232, 'zh_CN', '根据组织、仓库、物料和库存状态四个参数，拼接跳转到移动即时库存查询的URL', '移动库存-即时库存查询');
INSERT INTO t_open_apiservice_l
(fpkid, fid, flocaleid, fdiscription, fname)
VALUES('1V=NEXY/XZ3L', 1231847674324575232, 'zh_TW', '根據組織、倉庫、物料和庫存狀態四個參數，拚接跳轉到移動即時庫存查詢的URL', '移動庫存-即時庫存查詢');

INSERT INTO t_open_apiservice_aicmd
(fid, fentryid, fseq, fainumber)
VALUES(1231847674324575232, 1231847674383295488, 1, 'JITInvQuery');

INSERT INTO t_open_apiservice_aicmd_l
(fpkid, fentryid, flocaleid, fainame, faidescription)
VALUES('1V=NEXY/XZ3M', 1231847674383295488, 'zh_CN', '即时库存查询', '即时库存查询');
INSERT INTO t_open_apiservice_aicmd_l
(fpkid, fentryid, flocaleid, fainame, faidescription)
VALUES('1V=NEXY/XZ3N', 1231847674383295488, 'zh_TW', '即時庫存查詢', '即時庫存查詢');

-- 2、出入库单据查询
DELETE FROM t_open_apiservice WHERE FID = 1231861081601860608;
DELETE FROM t_open_apiservice_l WHERE FPKID = '1V=PYM50F=C5';
DELETE FROM t_open_apiservice_l WHERE FPKID = '1V=PYM50F=C6';
DELETE FROM t_open_apiservice_aicmd WHERE FID = 1231861081601860608;
DELETE FROM t_open_apiservice_aicmd_l WHERE FPKID = '1V=PYM50F=C7';
DELETE FROM t_open_apiservice_aicmd_l WHERE FPKID = '1V=PYM50F=C8';

INSERT INTO t_open_apiservice
(fid, fnumber, fcreatorid, fcreatetime, fmodifierid, fmodifytime, fenable, fdisablerid, fdisabledate, fmessagetype, fbizobject, fappid, fstatus, furlformat, furl, fhttpmethod, fcontenttype, freqtype, freptype, fapiservicetype, foperation, fcustommethod, fmasterid, fplugin, fallowguest, fisksql, fselectparam, ffilterparam, fmustparam)
VALUES(1231861081601860608, 'mobim_outbillandinbill_query', 1, {ts'2018-08-08 18:08:08'}, 1, {ts'2018-08-08 18:08:08'}, '1', NULL, NULL, NULL, ' ', '1FCCL7T+CPFQ', 'C', '/ai/do', ' ', '0', '0', 0, 0, '1', ' ', ' ', 1231861081601860608, '[{"FPK":"","Type":0,"Description":"该插件实现根据参数拼接url并将其放入封装好的对象中的插件","RowKey":0,"ClassName":"kd.scmc.mobim.service.webservice.OutBillAndInBillQueryApiPlugin","DisplayName":"出入库单据查询API插件","Enabled":true,"BizAppId":"","Inherit":false}]', '0', '0', NULL, NULL, NULL);

INSERT INTO t_open_apiservice_l
(fpkid, fid, flocaleid, fdiscription, fname)
VALUES('1V=PYM50F=C5', 1231861081601860608, 'zh_CN', '根据库存组织、仓库、物料、开始时间、结束时间、出入库单据名称，拼接跳转到对应出入库单据的URL', '移动库存-出入库订单查询');
INSERT INTO t_open_apiservice_l
(fpkid, fid, flocaleid, fdiscription, fname)
VALUES('1V=PYM50F=C6', 1231861081601860608, 'zh_TW', '根據庫存組織、倉庫、物料、開始時間、結束時間、出入庫單據名稱，拚接跳轉到對應出入庫單據的URL', '移動庫存-出入庫訂單查詢');

INSERT INTO t_open_apiservice_aicmd
(fid, fentryid, fseq, fainumber)
VALUES(1231861081601860608, 1231861081610249216, 1, 'outBillAndInBillQuery');

INSERT INTO t_open_apiservice_aicmd_l
(fpkid, fentryid, flocaleid, fainame, faidescription)
VALUES('1V=PYM50F=C7', 1231861081610249216, 'zh_CN', '出入库单据查询', '出入库单据查询');
INSERT INTO t_open_apiservice_aicmd_l
(fpkid, fentryid, flocaleid, fainame, faidescription)
VALUES('1V=PYM50F=C8', 1231861081610249216, 'zh_TW', '出入庫單據查詢', '出入庫單據查詢');

-- 3、同步库存组织
DELETE FROM t_open_apiservice WHERE FID = 1234615450923615232;
DELETE FROM t_open_apiservice_l WHERE FPKID = '1VMXKNZOLHXR';
DELETE FROM t_open_apiservice_l WHERE FPKID = '1VMXKNZOLHXS';
DELETE FROM t_open_apiservice_aicmd WHERE FID = 1234615450923615232;
DELETE FROM t_open_apiservice_aicmd_l WHERE FPKID = '1VMXKNZOLHXT';
DELETE FROM t_open_apiservice_aicmd_l WHERE FPKID = '1VMXKNZOLHXU';

INSERT INTO t_open_apiservice
(fid, fnumber, fcreatorid, fcreatetime, fmodifierid, fmodifytime, fenable, fdisablerid, fdisabledate, fmessagetype, fbizobject, fappid, fstatus, furlformat, furl, fhttpmethod, fcontenttype, freqtype, freptype, fapiservicetype, foperation, fcustommethod, fmasterid, fplugin, fallowguest, fisksql, fselectparam, ffilterparam, fmustparam)
VALUES(1234615450923615232, 'bos_org_getbaseinfo', 1, {ts'2018-08-08 18:08:08'}, 1, {ts'2018-08-08 18:08:08'}, '1', NULL, NULL, NULL, ' ', '1FCCL7T+CPFQ', 'C', '/ai/do', ' ', '0', '0', 0, 0, '1', ' ', ' ', 1234615450923615232, '[{"FPK":"","Type":0,"Description":"该插件完成查询库存组织的名称和内码，并将其放入封装好的对象中的操作","RowKey":0,"ClassName":"kd.scmc.mobim.service.webservice.GetInvOrgApiPlugin","DisplayName":"同步库存组织","Enabled":true,"BizAppId":"","Inherit":false}]', '0', '0', NULL, NULL, NULL);

INSERT INTO t_open_apiservice_l
(fpkid, fid, flocaleid, fdiscription, fname)
VALUES('1VMXKNZOLHXR', 1234615450923615232, 'zh_CN', '将库存组织名称和内码同步到AI平台对应的词槽中', '移动库存-同步库存组织');
INSERT INTO t_open_apiservice_l
(fpkid, fid, flocaleid, fdiscription, fname)
VALUES('1VMXKNZOLHXS', 1234615450923615232, 'zh_TW', '將庫存組織名稱和內碼同步到AI平台對應的詞槽中', '移動庫存-同步庫存組織');

INSERT INTO t_open_apiservice_aicmd
(fid, fentryid, fseq, fainumber)
VALUES(1234615450923615232, 1234615451519206400, 1, 'getInvOrg');

INSERT INTO t_open_apiservice_aicmd_l
(fpkid, fentryid, flocaleid, fainame, faidescription)
VALUES('1VMXKNZOLHXT', 1234615451519206400, 'zh_CN', 'AI平台同步库存组织', '同步库存组织');
INSERT INTO t_open_apiservice_aicmd_l
(fpkid, fentryid, flocaleid, fainame, faidescription)
VALUES('1VMXKNZOLHXU', 1234615451519206400, 'zh_TW', 'AI平台同步庫存組織', '同步庫存組織');

-- 4、同步仓库
DELETE FROM t_open_apiservice WHERE FID = 1234616442691962880;
DELETE FROM t_open_apiservice_l WHERE FPKID = '1VMXRWNBHSKU';
DELETE FROM t_open_apiservice_l WHERE FPKID = '1VMXRWNBHSKV';
DELETE FROM t_open_apiservice_aicmd WHERE FID = 1234616442691962880;
DELETE FROM t_open_apiservice_aicmd_l WHERE FPKID = '1VMXRWNBHSKW';
DELETE FROM t_open_apiservice_aicmd_l WHERE FPKID = '1VMXRWNBHSKX';

INSERT INTO t_open_apiservice
(fid, fnumber, fcreatorid, fcreatetime, fmodifierid, fmodifytime, fenable, fdisablerid, fdisabledate, fmessagetype, fbizobject, fappid, fstatus, furlformat, furl, fhttpmethod, fcontenttype, freqtype, freptype, fapiservicetype, foperation, fcustommethod, fmasterid, fplugin, fallowguest, fisksql, fselectparam, ffilterparam, fmustparam)
VALUES(1234616442691962880, 'bd_warehouse_getbaseinfo', 1, {ts'2018-08-08 18:08:08'}, 1, {ts'2018-08-08 18:08:08'}, '1', NULL, NULL, NULL, ' ', '1FCCL7T+CPFQ', 'C', '/ai/do', ' ', '0', '0', 0, 0, '1', ' ', ' ', 1234616442691962880, '[{"FPK":"","Type":0,"Description":"该插件完成查询仓库的名称和内码，并将其放入封装好的对象中的操作","RowKey":0,"ClassName":"kd.scmc.mobim.service.webservice.GetWareHouseApiPlugin","DisplayName":"同步仓库","Enabled":true,"BizAppId":"","Inherit":false}]', '0', '0', NULL, NULL, NULL);

INSERT INTO t_open_apiservice_l
(fpkid, fid, flocaleid, fdiscription, fname)
VALUES('1VMXRWNBHSKU', 1234616442691962880, 'zh_CN', '将仓库的名称和内码同步到AI平台对应的词槽中', '移动库存-同步仓库');
INSERT INTO t_open_apiservice_l
(fpkid, fid, flocaleid, fdiscription, fname)
VALUES('1VMXRWNBHSKV', 1234616442691962880, 'zh_TW', '將倉庫的名稱和內碼同步到AI平台對應的詞槽中', '移動庫存-同步倉庫');

INSERT INTO t_open_apiservice_aicmd
(fid, fentryid, fseq, fainumber)
VALUES(1234616442691962880, 1234616442691962881, 1, 'getWareHouse');

INSERT INTO t_open_apiservice_aicmd_l
(fpkid, fentryid, flocaleid, fainame, faidescription)
VALUES('1VMXRWNBHSKW', 1234616442691962881, 'zh_CN', 'AI平台同步仓库', '同步仓库');
INSERT INTO t_open_apiservice_aicmd_l
(fpkid, fentryid, flocaleid, fainame, faidescription)
VALUES('1VMXRWNBHSKX', 1234616442691962881, 'zh_TW', 'AI平台同步倉庫', '同步倉庫');
